/************************************************************
	FILE: lib_math.h
          prototypes for lib_math.C
************************************************************/
 
plotstate(FILE *fp, float *x, int n);
lin_eq_solv(MAT a, float *b, float *x, int n);
ludcmp(MAT a, int n, int *indx, float *d);
lubksb(MAT a, int n, int *indx, float b[]);
float *vector(int nl, int nh);
free_vector(float *v, int nl, int nh);
nrerror(STR str);
void matinv(MAT a, int size);
void tm_matinv(Matrix a);
prmat(MAT a, int size);
mvmult(float *x, MAT a, float *b, int size);
matcopy(MAT, MAT, int size);
tm_copy(GLmatrix, GLmatrix);
matmult(MAT aa, MAT a1, MAT a2, int size);
prfvec(FVEC v);
vecsub(FVEC ans, FVEC a, FVEC b);
vecadd(FVEC ans, FVEC a, FVEC b);
float vecsize(FVEC v);
idenmat(Matrix m);
tmmult(FVEC a, Matrix m, FVEC v);
tminv(Matrix minv, Matrix m);
prvec(FVEC v);
prvecf(FILE *fp, FVEC v);
getcol(FVEC v, Matrix m, int col);
putcol(FVEC v, Matrix m, int col);
xprod(FVEC v, FVEC a, FVEC b);
xprodnorm(FVEC v, FVEC a, FVEC b);
norm(FVEC v);
prtm(Matrix m);
prtmf(FILE *f, Matrix m);
rdtmf(FILE *f, Matrix m);
veccp(FVEC a, FVEC b);
tmmmult(Matrix ans, Matrix a, Matrix b);
tmcopy(Matrix b, Matrix a);
solv_quad(float a, float b,
		  float c, float *x1, float *x2);
mat2rpy(Matrix mat, FVEC rpy);
rpy2mat(FVEC rpy, Matrix mat);
rotmat(char axis, float theta, Matrix mat);
tmtransp(Matrix tpmat, Matrix mat);
vecinit(FVEC v);
rotkth(Matrix mat, FVEC k, float th);
void rotkthi(FVEC k, float *th, Matrix mat);
mat2q(FVEC q, Matrix m);
rot_mat2(float q[], Matrix m);






